<h1 mat-dialog-title>Send Results Data</h1>
<div mat-dialog-content class="send-content">
		<div class="notify label label-light-info rounded" *ngIf="responseOk != true">
			<mat-icon mat-list-icon>info</mat-icon>
			<h3>Whats This?</h3>
			<div>
				<p>
					This is a new feature to allow risk assessment data generated using this tool to be uploaded to an independant external server.
				</p>
				<p>
					For more detailed information on the use of this feature please refer to the project documentation.
				</p>
			</div>
		</div>
		<mat-expansion-panel [expanded]="settingsExpand" *ngIf="responseOk != true">
			<mat-expansion-panel-header>
				<mat-panel-title>
					Settings
				</mat-panel-title>
				<mat-panel-description>
					<ng-template [ngIf]="ready == 0">
						<mat-icon class="send-ready">check_circle_outline</mat-icon>Ready to send
					</ng-template>
					<ng-template [ngIf]="ready == 1">
						<mat-icon class="send-ready-warning">info_outline</mat-icon>Additional settings may be required
					</ng-template>
					<ng-template [ngIf]="ready == 2">
						<mat-icon class="send-ready-invalid">error_outline</mat-icon>A destination URL is required
					</ng-template>
				</mat-panel-description>
			</mat-expansion-panel-header>
			<form (ngSubmit)="onSubmit()" class="flex-form-container" #sendForm="ngForm">
				<div fxFlex="100%">
					<div class="form-group">
						<mat-form-field class="form-field">
							<input id="returnAddress" required (change)="checkReady()" name="returnAddress" #returnAddress="ngModel" [(ngModel)]="assessment.returnAddress" matInput placeholder="Destination URL">
						</mat-form-field>

						<mat-form-field class="form-field">
							<input id="requestId" (change)="checkReady()" name="requestId" #requestId="ngModel" [(ngModel)]="assessment.requestId" matInput placeholder="Data Request Id">
						</mat-form-field>

						<mat-form-field class="form-field">
							<input id="riskAssessorId" (change)="checkReady()" name="riskAssessorId" #riskAssessorId="ngModel" [(ngModel)]="assessment.riskAssessorId" matInput placeholder="Assessor User Id" >
						</mat-form-field>
					</div>
				</div>
			</form>
		</mat-expansion-panel>
		<mat-expansion-panel class="m-t-20" *ngIf="responseOk != true">
		<mat-expansion-panel-header>
			<mat-panel-title>
				Assessment Results
			</mat-panel-title>
			<mat-panel-description>
				Inspect the data to be sent to the remote server
			</mat-panel-description>
		</mat-expansion-panel-header>
		<div class="send-payload" fxFlex="100%">
			<pre class="m-0">{{assessment | json}}</pre>
		</div>
	</mat-expansion-panel>
	<mat-card class="result-card" *ngIf="responseOk != null">
		<div *ngIf="responseOk == true;then content else error_content"></div>
			<ng-template #content>
				<mat-card-header class="send-success">
					<div mat-card-avatar><mat-icon>check_circle_outline</mat-icon></div>
					<mat-card-title>Success!</mat-card-title>
				</mat-card-header>
			</ng-template>
			<ng-template #error_content>
				<mat-card-header class="send-error">
					<div mat-card-avatar><mat-icon>error_outline</mat-icon></div>
					<mat-card-title>Something went wrong...</mat-card-title>
				</mat-card-header>
			</ng-template>
		<mat-card-content>
				<div fxFlex>{{responseMessage}}</div>
		</mat-card-content>
	</mat-card>
	<div class="button-panel" mat-dialog-actions>
		<button mat-button [disabled]="ready == 2 || responseOk == true" (click)="onSendClick()">SEND</button>
		<button mat-button (click)="onCancelClick()" cdkFocusInitial>CLOSE</button>
	</div>
</div>


